Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesContextFactory

    java.lang.Object
      javax.faces.context.FacesContextFactory
          php.java.faces.PhpFacesContextFactory

    public class PhpFacesContextFactory

extends javax.faces.context.FacesContextFactory

Creates a PhpFacesContext

Author:
  jostb

Constructor Summary
`PhpFacesContextFactory()`
`PhpFacesContextFactory(javax.faces.context.FacesContextFactory factory)`

Method Summary
`javax.faces.context.FacesContext` | `getFacesContext(java.lang.Object ctx, java.lang.Object request, java.lang.Object response, javax.faces.lifecycle.Lifecycle lifecycle)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesContextFactory

    public PhpFacesContextFactory()

### PhpFacesContextFactory

    public PhpFacesContextFactory(javax.faces.context.FacesContextFactory factory)

Method Detail

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext(java.lang.Object ctx,
                                                            java.lang.Object request,
                                                            java.lang.Object response,
                                                            javax.faces.lifecycle.Lifecycle lifecycle)
                                                     throws javax.faces.FacesException

  Specified by:
    `getFacesContext` in class `javax.faces.context.FacesContextFactory`
  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD